Bug 971049 - Review Request: davix - Toolkit for Http-based file management
Review Request: davix - Toolkit for Http-based file management
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alejandro Alvarez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 10:38 EDT by Adrien Devresse
Modified: 2013-07-03 09:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 09:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.alvarezayllon: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrien Devresse 2013-06-05 10:38:51 EDT
Spec URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/davix.spec
SRPM URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/davix-0.2.0-1.el5.centos.src.rpm
Description: Davix is a toolkit designed for file operations
with Http based protocols (WebDav, Amazon S3, ...).
Davix provides an API and a set of command line tools.

Fedora Account System Username: adev


rpmlint : 

rpmlint /var/lib/mock/epel-5-x86_64/result/*.rpm
davix.x86_64: W: incoherent-version-in-changelog 0.2.0-1 ['0.2.0-1.el5.centos', '0.2.0-1.centos']
davix.x86_64: W: no-documentation
davix-devel.x86_64: W: no-documentation

Koji rawhide : 

http://koji.fedoraproject.org/koji/taskinfo?taskID=5471071


Koji EL6 :

http://koji.fedoraproject.org/koji/taskinfo?taskID=5471088


Koji EL5 :

http://koji.fedoraproject.org/koji/taskinfo?taskID=5471084
Comment 1 Adrien Devresse 2013-06-12 13:33:37 EDT
Update :


Koji f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5496547

Koji f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5496559

Koji rawhide hangs forever for unknow reason inside the doxygen generation, this is a strange behavior which does not happens with mock on rawhide.

--> "mock -r fedora-rawhide-x86_64 davix-0.2.0-1.el5.centos.src.rpm " succeed without problem

It highly probable that it's a doxygen/koji related bug and not a davix one: davix build on every plateform excepted koji rawhide.

Can you proceed the review of davix without considering this problem ?

I will try to identify the source of this issue and open a bugzilla ticket if necessary.

Adev
Comment 2 Adrien Devresse 2013-06-13 07:41:12 EDT
Update :

bug reported on https://bugzilla.redhat.com/show_bug.cgi?id=974069
Comment 4 Massimo Paladin 2013-06-14 08:55:38 EDT
Adrien, you forgot to update the changelog in the spec file.
Comment 5 Adrien Devresse 2013-06-17 12:36:18 EDT
> Adrien, you forgot to update the changelog in the spec file.

Done

New Updates :


Spec : http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/davix.spec
SRPM: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/davix-0.2.2-1.el5.centos.src.rpm
Comment 6 Alejandro Alvarez 2013-06-18 10:38:41 EDT
In the future, if you update the srpm, please, resubmit the builds again and paste the links here.

rpmlint
-------
$ rpmlint davix-0.2.2-1.el5.centos.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint davix-0.2.2-1.fc19.x86_64.rpm 
davix.x86_64: W: no-documentation
davix.x86_64: W: no-manual-page-for-binary davix-ls
davix.x86_64: W: no-manual-page-for-binary davix-put
davix.x86_64: W: no-manual-page-for-binary davix
davix.x86_64: W: no-manual-page-for-binary davix-get
davix.x86_64: W: no-manual-page-for-binary davix-del
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

MUST
====
A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

        /usr/share/doc/davix-0.2.2/
        /usr/share/doc/davix-0.2.2/html/

        Are not owned by the rpms.


SHOULD
======
[FAILED] Parallel make

        https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Parallel_make

[FAILED] The package should contain man pages for binaries/scripts

        davix include a set of binaries with no man pages

Please, fix the "MUST" error, and have a look at the "SHOULD".
Comment 7 Adrien Devresse 2013-06-18 11:47:04 EDT
> 
        /usr/share/doc/davix-0.2.2/
        /usr/share/doc/davix-0.2.2/html/

        Are not owned by the rpms.

Done

> [FAILED] Parallel make

Done 

> [FAILED] The package should contain man pages for binaries/scripts

        davix include a set of binaries with no man pages

Will be done in future by the Upstream, as soon as davix is considered stable (1.0.0 )

Updates :

SPEC: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/davix.spec
SRPM: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/davix-0.2.2-2.el5.centos.src.rpm


Koji builds :

rawhide :
http://koji.fedoraproject.org/koji/taskinfo?taskID=5517026

f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5517029

el5:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5517033

el6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5517032


Adrien
Comment 8 Alejandro Alvarez 2013-06-20 02:56:40 EDT
MUST
====

[OK] The package must be named according to the Package Naming Guidelines.
[OK] Package does not use a name that already exist.
[OK] The spec file name must match the base package %{name}, in the format %{name}.spec
[OK] Spec file lacks Packager, Vendor, PreReq tags.
[OK] Changelog in prescribed format.
[OK] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[OK] The License field in the package spec file must match the actual license.
[OK] The spec file must be written in American English.
[OK] The spec file for the package MUST be legible.
[--] If a rename, provides/obsoletes is specified.
[--] The spec file MUST handle locales properly.
[OK] Every binary RPM package which stores shared library files in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[OK] If the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] -debuginfo package or justification otherwise.
[OK] Development files must be in a -devel package.
[--] Static libraries must be in a -static package.
[OK] Devel packages must require the base package using a fully versioned dependency
[OK] Large documentation files must go in a -doc subpackage.

[OK] The sources used to build the package must match the upstream source, as provided in the spec URL.

[OK] The package must contain code, or permissable content.

[OK] Package obeys FHS, except libexecdir and /usr/target.
[OK] Packages must NOT contain any .la libtool archives.
[OK] Packages must not own files or directories already owned by other packages
[--] Packages containing GUI applications must include a %{name}.desktop file.
[OK] A Fedora package must not list a file more than once in the spec file's %files listings.
[OK] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

[OK] Packages must NOT bundle copies of system libraries
[--] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[OK] All filenames in rpm packages must be valid UTF-8.
[OK] Permissions on files must be set properly.

[OK] Each package must consistently use macros.
[--] No external kernel modules
[OK] No inclusion of pre-built binaries or libraries
[OK] No need for external bits
[OK] All build dependencies must be listed in BuildRequires.
[OK] If a package includes something as %doc, it must not affect the runtime of the application.
[OK] %build honors applicable compiler flags or justifies otherwise.

	https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Compiler_flags

[OK] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[--] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[OK] Package installs properly.

SHOULD
======
[--] All patches have an upstream bug link or comment
[OK] The source package does not include license text(s) as a separate file from upstream.
[OK] No PreReq
[OK] %makeinstall is not used
[OK] Timestamp is preserved
[OK] Parallel make
[OK] Subpackages other than devel should require the base package using a fully versioned dependency.
[--] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[OK] The placement of pkgconfig(.pc) files should be in a -devel pkg
[OK] The package builds in mock.
[OK] The package should compile and build into binary rpms on all supported architectures.
[OK] The package functions as described.
[OK] If scriptlets are used, those scriptlets must be sane.
[FAILED] The package should contain man pages for binaries/scripts

	davix include a set of binaries with no man pages
	(Will wait for upstream)

[--] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

Just two more things:

The doc package should go into the group Documentation
http://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

And it would probably be a good idea to remove the dependency on the main package. Most *-doc packages do not depend on it (you may want only the documentation).

But you can do that once you import your package. Other than that, it looks good to me.
Comment 9 Adrien Devresse 2013-06-20 04:34:39 EDT
Thank you Alej
Comment 10 Adrien Devresse 2013-06-20 04:39:43 EDT
New Package SCM Request
=======================
Package Name: davix
Short Description: Davix is a toolkit designed for file operations with Http based protocols (WebDav, Amazon S3, ...).
Owners: adev
Branches: f17 f18 f19 el6 el5
InitialCC:
Comment 11 Gwyn Ciesla 2013-06-20 08:14:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.